User Wallet History
GET/public-api/wallet/v1/user/walletHistory
Query wallet history. Requires the Read permission.
Query parameter rules:
- It's RECOMMENDED to include
walletTypein the query. If it's not provided, the default will be to query spot wallet history only. walletNameis required ifwalletTypeisISOLATED.- Only upgraded wallet allow query wallet history by using
walletType=UNIFIED. historyTypesshould be encoded to a json array.- It will default to fetch data from the past 7 days if the
startTimeand theendTimeare not set. - The
startTimeandendTimemust be within the range of the past 120 days. - If your futures wallet has already been upgraded, querying future wallet history with
walletType=UNIFIEDfor retrieving the post-upgrade history. - Querying wallet history by setting
walletType=CROSSorwalletType=ISOLATEDwill only return wallet history from before the futures wallet upgrade.
For example,
// query spot wallet history since 7 days ago.
.../public-api/wallet/v1/user/walletHistory?walletType=SPOT
// query spot deposit and withdraw history since 7 days ago.
.../public-api/wallet/v1/user/walletHistory?walletType=SPOT&historyTypes=["DEPOSIT","WITHDRAW"]
// query spot deposit and withdraw history from 2023-01-01 to 2023-03-31.
.../public-api/wallet/v1/user/walletHistory?walletType=SPOT&historyTypes=["DEPOSIT","WITHDRAW"]&startTime=1672531200000&endTime=1680307200000
// query BTC-PERP isolated wallet history since 7 days ago.
.../public-api/wallet/v1/user/walletHistory?walletType=ISOLATED&walletName=ISOLATED@BTC-PERP-USDT
The detail which is a transaction on the blockchain will show cryptoNetwork, and once the transaction is completed, the txId will be displayed.
Requestβ
Responsesβ
- 200
Successful response